// Copyright 2019 Google Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Nodejs common library export file.
 */

'use strict';

exports.api = require('./src/apis/index.js');
exports.cloudfunctions = require('./src/components/cloudfunctions_utils.js');
exports.firestore = require('./src/components/firestore/index.js');
exports.pubsub = require('./src/components/pubsub.js');
exports.scheduler = require('./src/components/scheduler.js');
exports.secretmanager = require('./src/components/secret_manager.js');
exports.storage = require('./src/components/storage.js');
exports.utils = require('./src/components/utils.js');
exports.vertexai = require('./src/components/vertex_ai.js');
